OpenVDB: DenseTransformer< _ValueT, OpType > Class Template Reference

OpenVDB 12.0.0 |

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
DenseTransformer< _ValueT, OpType > Class Template Reference

Class that applies a functor to the index space intersection of a prescribed bounding box and the dense grid. NB: This class only supports DenseGrids with ZYX memory layout. More...

`#include <openvdb/tools/DenseSparseTools.h>`

## Public Types
using | ValueT = _ValueT
using | DenseT = Dense<ValueT, openvdb::tools::LayoutZYX>
using | IntType = openvdb::math::Coord::ValueType
using | RangeType = tbb::blocked_range2d<IntType, IntType>

## Public Member Functions
| DenseTransformer (DenseT &dense, const openvdb::math::CoordBBox &bbox, const OpType &functor)
| DenseTransformer (const DenseTransformer &other)
void | apply (bool threaded=true)
void | operator() (const RangeType &range) const

## Detailed Description

template<typename _ValueT, typename OpType>
class openvdb::v12_0::tools::DenseTransformer< _ValueT, OpType >

Class that applies a functor to the index space intersection of a prescribed bounding box and the dense grid. NB: This class only supports DenseGrids with ZYX memory layout.

## Member Typedef Documentation

## ◆ DenseT

template<typename _ValueT, typename OpType>

using DenseT = Dense<ValueT, openvdb::tools::LayoutZYX>

## ◆ IntType

template<typename _ValueT, typename OpType>

using IntType = openvdb::math::Coord::ValueType

## ◆ RangeType

template<typename _ValueT, typename OpType>

using RangeType = tbb::blocked_range2d<IntType, IntType>

## ◆ ValueT

template<typename _ValueT, typename OpType>

using ValueT = _ValueT

## Constructor & Destructor Documentation

## ◆ DenseTransformer() [1/2]

template<typename _ValueT, typename OpType>

DenseTransformer | ( | DenseT & | dense,
|  | const openvdb::math::CoordBBox & | bbox,
|  | const OpType & | functor )
| inline

## ◆ DenseTransformer() [2/2]

template<typename _ValueT, typename OpType>

DenseTransformer | ( | const DenseTransformer< _ValueT, OpType > & | other | ) |
| inline

## Member Function Documentation

## ◆ apply()

template<typename _ValueT, typename OpType>

void apply | ( | bool | threaded = true | ) |
| inline

## ◆ operator()()

template<typename _ValueT, typename OpType>

void operator() | ( | const RangeType & | range | ) | const
| inline